
//Given the length and width of a rectangle, this Java
//program determines its area and perimeter.

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class SavingsApplet extends JApplet
{
    private JLabel amtBorrowL, intRateL,
           loanTerL, monthPayL, sumAllPayL, totIntrstPayL;
    private JTextField amtBorrowTF, intRateTF,
           loanTerTF, monthPayTF, sumAllPayTF, totIntrstPayTF;

    private JButton calculateB, clearB;

    private CalculateButtonHandler cabHandler;

    private ClearButtonHandler clbHandler;

    private static final int WIDTH = 400;
    private static final int HEIGHT = 300;

    public void init()
    {
		        // Create four labels
	    amtBorrowL = new JLabel("Amount you wish to borrow: ",
 	                          SwingConstants.RIGHT);
	    intRateL = new JLabel("Interest rate as a yearly percentage(Example: 7.25): ",
		                     SwingConstants.RIGHT);
	    loanTerL = new JLabel("Loan terms in months: ",SwingConstants.RIGHT);
	    monthPayL = new JLabel("Monthly peyments: ",
 		                       	SwingConstants.RIGHT);
		sumAllPayL = new JLabel("The sum of all the payments: ",
 	                          SwingConstants.RIGHT);
 	    totIntrstPayL = new JLabel("the total interest paid: ",
 	                          SwingConstants.RIGHT);

		          //Create four textfields
	    amtBorrowTF = new JTextField(15);
	    intRateTF = new JTextField(15);
	    loanTerTF = new JTextField(15);
	    monthPayTF = new JTextField(15);
	    sumAllPayTF = new JTextField(15);
	    totIntrstPayTF = new JTextField(15);

		          //create Calculate Button
	    calculateB = new JButton("CALCULAT");
	    cabHandler = new CalculateButtonHandler();
	    calculateB.addActionListener(cabHandler);

		          //Create Exit Button
	    clearB = new JButton("CLEAR");
	    clbHandler = new ClearButtonHandler();
	    clearB.addActionListener(clbHandler);

		          //Set the title of the window
	    //setTitle("Loadns n Savings Calculator");

		          //Get the container
	    Container pane = getContentPane();

		          //Set the layout
        pane.setLayout(new GridLayout(7,2));

		          //Place all items created
	    pane.add(amtBorrowL);
	    pane.add(amtBorrowTF);
	    pane.add(intRateL);
	    pane.add(intRateTF);
	    pane.add(loanTerL);
	    pane.add(loanTerTF);
	    pane.add(calculateB);
	    pane.add(clearB);
	    pane.add(monthPayL);
	    pane.add(monthPayTF);
	    pane.add(sumAllPayL);
	    pane.add(sumAllPayTF);
	    pane.add(totIntrstPayL);
	    pane.add(totIntrstPayTF);



		        //set the size of the window and display it
	    setSize(WIDTH,HEIGHT);
	    setVisible(true);

    }

    private class CalculateButtonHandler implements ActionListener
    {
	    public void actionPerformed(ActionEvent e)
	    {
	        double p, r, myR, R, sum, tr, n;


	        p = Double.parseDouble(amtBorrowTF.getText());
	        r = Double.parseDouble(intRateTF.getText())/1200;
	        n = Double.parseDouble(loanTerTF.getText());

	        myR = p * (r / (1- (1 / (Math.pow((1+r), n)))));


	        R = Math.round(Math.ceil(myR*100))/100.0;
	        sum = Math.round((n * R)*100)/100.0;
			tr = Math.round((sum - p)*100)/100.0;

			monthPayTF.setText("" + R);
			sumAllPayTF.setText("" + sum);
			totIntrstPayTF.setText("" + tr);



	    }
    }

    private class ClearButtonHandler implements ActionListener
    {
	    public void actionPerformed(ActionEvent e)
	    {

		    amtBorrowTF.setText("test");
		    intRateTF.setText("");
		    loanTerTF.setText("");
		    monthPayTF.setText("");
		    sumAllPayTF.setText("");
		    totIntrstPayTF.setText("test");

   	    }
    }

}
